org.apache.ignite.internal.visor.cache

## Class VisorCacheQueryConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheQueryConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheQueryConfiguration
    extends Object
    implements Serializable

Data transfer object for cache query configuration data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheQueryConfiguration()`

### Method Summary

Methods
`static VisorCacheQueryConfiguration` `from(CacheConfiguration ccfg)`
`String[]` `indexedTypes()`
`long` `longQueryWarningTimeout()`
`boolean` `sqlEscapeAll()`
`String[]` `sqlFunctionClasses()`
`int` `sqlOnheapRowCacheSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheQueryConfiguration

    public VisorCacheQueryConfiguration()

### Method Detail

#### from

    public static VisorCacheQueryConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Fill data transfer object with cache query configuration data.

#### sqlFunctionClasses

    public String[] sqlFunctionClasses()

Returns:
  Classes names with SQL functions.

#### longQueryWarningTimeout

    public long longQueryWarningTimeout()

Returns:
  Timeout in milliseconds after which long query warning will be printed.

#### sqlEscapeAll

    public boolean sqlEscapeAll()

Returns:
  `true` if SQL engine generate SQL statements with escaped names.

#### indexedTypes

    public String[] indexedTypes()

Returns:
  Array of key and value classes names to be indexed.

#### sqlOnheapRowCacheSize

    public int sqlOnheapRowCacheSize()

Returns:
  Number of SQL rows which will be cached onheap to avoid deserialization on each SQL index access.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015